import '../repositories/auth_repository.dart';

class RefreshToken {
  final AuthRepository _repository;

  RefreshToken(this._repository);

  /// Returns true if the token was refreshed successfully.
  Future<bool> execute() {
    return _repository.refreshToken();
  }
}
